Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.network
Interface ProbabilityRule

All Known Implementing Classes:
  AbstractProbabilityRule, UniformReinforcement

    public interface ProbabilityRule

The ProbabilityRule is used to calculate the probability of objects with respect to another where that probability can be updated over time. These probabilities and their associated objects will be mapped to a specified range in a probability map such that a random number draw can will return an object.

Version:
  $Revision: 1.5 $ $Date: 2004/11/03 19:51:01 $

Method Summary
`double` | `getProbability(java.lang.Object o)` Returns the probability for the specified object.
`RangeMap` | `makeProbabilityMap(RangeMap map)` Recreates the probability map from the specified map, typically called after update changes the probability.
`void` | `update(java.lang.Object o)` Performs an update using the specified object.
`void` | `update(java.lang.Object o, float amt)` Performs an update using the specified object and specified amount.

Method Detail

### getProbability

    double getProbability(java.lang.Object o)

  Returns the probability for the specified object.

### update

    void update(java.lang.Object o)

  Performs an update using the specified object. The semantics of update are defined by implementing classes.

### update

    void update(java.lang.Object o,
                float amt)

  Performs an update using the specified object and specified amount. The semantics of update are defined by implementing classes.

### makeProbabilityMap

    RangeMap makeProbabilityMap(RangeMap map)

  Recreates the probability map from the specified map, typically called after update changes the probability.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD